/* &media */

@media print {
    .no-print, .no-print * {
        display: none !important;
    }
}

/* Screen reader */

.screen-reader-text {
    position: absolute;
    left: -9999px;
    top: -9999px;
}

/* table styles */
table caption {
  caption-side: bottom;
  text-align: center;
}

/* form controls - add class "web-form" to bootstrapify any form */
.web-form label {
    display: inline-block;
    margin-bottom: 5px;
    margin-right: 30px !important;
    font-weight: 700 !important;
}
.EditingFormTable .EditingFormValueCell .EditingFormControlNestedControl, .EditingFormTable .FieldLabel, .EditingFormTable .EditingFormValueCell {
    display: block;
    text-align: left;
    max-width: 100%;
}
.EditingFormTable, .form-table { width: 96%; }
.EditingFormTable .FieldLabel, .form-table-group .form-table-label-cell { margin-top: 20px; }
.checkbox input[type=checkbox], .checkbox-inline input[type=checkbox], .radio input[type=radio], .radio-inline input[type=radio] { margin-left: 0px !important; }
.form-table-group .form-table-label-cell, .form-table-group .form-table-value-cell {
    display: block;
    text-align: left;
    max-width: 100%;
}
.required:after {
  content:"*";
  color:red;
}

.required {
  color:black !important;
}

.EditingFormErrorLabel {
  color:red;
}

.ErrorLabel {
  display:block;
  color:red;
  background: #ffd3d3;
  padding: 20px;
  border: solid thin red;
  border-radius: 5px;
  margin-top:20px;
}

.ErrorLabel:before {
  content: url(/CBCF-website/media/assets/exclamation.png);
  vertical-align: -65%;
}

.InfoLabel {
  display:block;
  color:green;
  background: #7fd997;
  padding: 20px;
  border: solid thin green;
  border-radius: 5px;
  margin-top:20px;
}

.InfoLabel:before {
  content: url(/CBCF-website/media/assets/checkmark.png);
  vertical-align: -65%;
}

/* responsive tables - add class "mobile" to force th and td cells to display block under 768px */
@media screen and (max-width: 768px ) {
    table.mobile thead th:not(:first-child) {
        display: none;
    }
    table.mobile th, table.mobile td {
        display: block;
    }
    table.mobile td[data-th]:before  {
        content: attr(data-th);
    }
}

/* sticky table headers - add class "sticky" to a table to force the head at the top of the browser */
table.sticky th { position: relative; }
@-moz-document url-prefix() {
	table.sticky th {
		position: relative;
		padding: 0.25em 10px 1em 10px;
	}
}

/* sortable table headers - add class "sortable" to create clickable table headers for sorting data */
table.sortable th.header {
    cursor: pointer;
    white-space: nowrap;
}
table.sortable th.header:after {
    font-family: "FontAwesome";
    content: " \f0dc";
    color: gray;
}
table.sortable th.headerSortUp:after {
    font-family: "FontAwesome";
    content: " \f0de";
    color: white;
}
table.sortable th.headerSortDown:after {
    font-family: "FontAwesome";
    content: " \f0dd";
    color: white;
}